// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace CBinding {
    
    
    public partial class CodeGenerationPanel {
        
        private Gtk.Notebook notebook1;
        
        private Gtk.VBox vbox6;
        
        private Gtk.Table table1;
        
        private Gtk.Label label4;
        
        private Gtk.Label label5;
        
        private Gtk.Label label6;
        
        private Gtk.SpinButton optimizationSpinButton;
        
        private Gtk.ComboBox targetComboBox;
        
        private Gtk.VBox vbox1;
        
        private Gtk.RadioButton noWarningRadio;
        
        private Gtk.RadioButton normalWarningRadio;
        
        private Gtk.RadioButton allWarningRadio;
        
        private Gtk.CheckButton warningsAsErrorsCheckBox;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label12;
        
        private Gtk.Entry defineSymbolsTextEntry;
        
        private Gtk.Frame frame2;
        
        private Gtk.Alignment GtkAlignment;
        
        private Gtk.Table table5;
        
        private Gtk.Label label11;
        
        private Gtk.Label label7;
        
        private Gtk.ScrolledWindow scrolledwindow4;
        
        private Gtk.TextView extraCompilerTextView;
        
        private Gtk.ScrolledWindow scrolledwindow5;
        
        private Gtk.TextView extraLinkerTextView;
        
        private Gtk.Label GtkLabel12;
        
        private Gtk.Label label1;
        
        private Gtk.Table table2;
        
        private Gtk.Button addLibButton;
        
        private Gtk.Label label8;
        
        private Gtk.Entry libAddEntry;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TreeView libTreeView;
        
        private Gtk.VBox vbox4;
        
        private Gtk.Button browseButton;
        
        private Gtk.Button removeLibButton;
        
        private Gtk.Label label2;
        
        private Gtk.VBox vbox7;
        
        private Gtk.Table table4;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Entry libPathEntry;
        
        private Gtk.Button quickInsertLibButton;
        
        private Gtk.Label label10;
        
        private Gtk.Button libPathAddButton;
        
        private Gtk.ScrolledWindow scrolledwindow3;
        
        private Gtk.TreeView libPathTreeView;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Button libPathBrowseButton;
        
        private Gtk.Button libPathRemoveButton;
        
        private Gtk.Table table3;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Entry includePathEntry;
        
        private Gtk.Button quickInsertIncludeButton;
        
        private Gtk.Button includePathAddButton;
        
        private Gtk.Label label9;
        
        private Gtk.ScrolledWindow scrolledwindow2;
        
        private Gtk.TreeView includePathTreeView;
        
        private Gtk.VBox vbox5;
        
        private Gtk.Button includePathBrowseButton;
        
        private Gtk.Button includePathRemoveButton;
        
        private Gtk.Label label3;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget CBinding.CodeGenerationPanel
            Stetic.BinContainer.Attach(this);
            this.Name = "CBinding.CodeGenerationPanel";
            // Container child CBinding.CodeGenerationPanel.Gtk.Container+ContainerChild
            this.notebook1 = new Gtk.Notebook();
            this.notebook1.CanFocus = true;
            this.notebook1.Name = "notebook1";
            this.notebook1.CurrentPage = 2;
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vbox6 = new Gtk.VBox();
            this.vbox6.Name = "vbox6";
            this.vbox6.Spacing = 3;
            // Container child vbox6.Gtk.Box+BoxChild
            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(5));
            this.table1.ColumnSpacing = ((uint)(5));
            this.table1.BorderWidth = ((uint)(2));
            // Container child table1.Gtk.Table+TableChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.Xpad = 10;
            this.label4.Xalign = 0F;
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("Warning Level:");
            this.table1.Add(this.label4);
            Gtk.Table.TableChild w1 = ((Gtk.Table.TableChild)(this.table1[this.label4]));
            w1.XOptions = ((Gtk.AttachOptions)(4));
            w1.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.Xpad = 10;
            this.label5.Xalign = 0F;
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Optimization Level:");
            this.table1.Add(this.label5);
            Gtk.Table.TableChild w2 = ((Gtk.Table.TableChild)(this.table1[this.label5]));
            w2.TopAttach = ((uint)(1));
            w2.BottomAttach = ((uint)(2));
            w2.XOptions = ((Gtk.AttachOptions)(4));
            w2.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label6 = new Gtk.Label();
            this.label6.Name = "label6";
            this.label6.Xpad = 10;
            this.label6.Xalign = 0F;
            this.label6.LabelProp = Mono.Unix.Catalog.GetString("Target:");
            this.table1.Add(this.label6);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table1[this.label6]));
            w3.TopAttach = ((uint)(2));
            w3.BottomAttach = ((uint)(3));
            w3.XOptions = ((Gtk.AttachOptions)(4));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.optimizationSpinButton = new Gtk.SpinButton(0, 3, 1);
            this.optimizationSpinButton.CanFocus = true;
            this.optimizationSpinButton.Name = "optimizationSpinButton";
            this.optimizationSpinButton.Adjustment.PageIncrement = 10;
            this.optimizationSpinButton.ClimbRate = 1;
            this.optimizationSpinButton.Numeric = true;
            this.table1.Add(this.optimizationSpinButton);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table1[this.optimizationSpinButton]));
            w4.TopAttach = ((uint)(1));
            w4.BottomAttach = ((uint)(2));
            w4.LeftAttach = ((uint)(1));
            w4.RightAttach = ((uint)(2));
            w4.XOptions = ((Gtk.AttachOptions)(4));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.targetComboBox = Gtk.ComboBox.NewText();
            this.targetComboBox.AppendText(Mono.Unix.Catalog.GetString("Executable"));
            this.targetComboBox.AppendText(Mono.Unix.Catalog.GetString("Static Library"));
            this.targetComboBox.AppendText(Mono.Unix.Catalog.GetString("Shared Object"));
            this.targetComboBox.Name = "targetComboBox";
            this.table1.Add(this.targetComboBox);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table1[this.targetComboBox]));
            w5.TopAttach = ((uint)(2));
            w5.BottomAttach = ((uint)(3));
            w5.LeftAttach = ((uint)(1));
            w5.RightAttach = ((uint)(2));
            w5.XOptions = ((Gtk.AttachOptions)(4));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 1;
            // Container child vbox1.Gtk.Box+BoxChild
            this.noWarningRadio = new Gtk.RadioButton(Mono.Unix.Catalog.GetString("no warnings"));
            this.noWarningRadio.CanFocus = true;
            this.noWarningRadio.Name = "noWarningRadio";
            this.noWarningRadio.Active = true;
            this.noWarningRadio.DrawIndicator = true;
            this.noWarningRadio.UseUnderline = true;
            this.noWarningRadio.Group = new GLib.SList(System.IntPtr.Zero);
            this.vbox1.Add(this.noWarningRadio);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox1[this.noWarningRadio]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.normalWarningRadio = new Gtk.RadioButton(Mono.Unix.Catalog.GetString("normal"));
            this.normalWarningRadio.CanFocus = true;
            this.normalWarningRadio.Name = "normalWarningRadio";
            this.normalWarningRadio.DrawIndicator = true;
            this.normalWarningRadio.UseUnderline = true;
            this.normalWarningRadio.Group = this.noWarningRadio.Group;
            this.vbox1.Add(this.normalWarningRadio);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbox1[this.normalWarningRadio]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.allWarningRadio = new Gtk.RadioButton(Mono.Unix.Catalog.GetString("all"));
            this.allWarningRadio.CanFocus = true;
            this.allWarningRadio.Name = "allWarningRadio";
            this.allWarningRadio.DrawIndicator = true;
            this.allWarningRadio.UseUnderline = true;
            this.allWarningRadio.Group = this.noWarningRadio.Group;
            this.vbox1.Add(this.allWarningRadio);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbox1[this.allWarningRadio]));
            w8.Position = 2;
            w8.Expand = false;
            w8.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.warningsAsErrorsCheckBox = new Gtk.CheckButton();
            this.warningsAsErrorsCheckBox.CanFocus = true;
            this.warningsAsErrorsCheckBox.Name = "warningsAsErrorsCheckBox";
            this.warningsAsErrorsCheckBox.Label = Mono.Unix.Catalog.GetString("Treat warnings as errors");
            this.warningsAsErrorsCheckBox.DrawIndicator = true;
            this.warningsAsErrorsCheckBox.UseUnderline = true;
            this.vbox1.Add(this.warningsAsErrorsCheckBox);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox1[this.warningsAsErrorsCheckBox]));
            w9.Position = 3;
            w9.Expand = false;
            w9.Fill = false;
            this.table1.Add(this.vbox1);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.table1[this.vbox1]));
            w10.LeftAttach = ((uint)(1));
            w10.RightAttach = ((uint)(2));
            w10.XOptions = ((Gtk.AttachOptions)(4));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox6.Add(this.table1);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vbox6[this.table1]));
            w11.Position = 0;
            w11.Expand = false;
            w11.Fill = false;
            // Container child vbox6.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label12 = new Gtk.Label();
            this.label12.Name = "label12";
            this.label12.Xpad = 13;
            this.label12.Xalign = 0F;
            this.label12.LabelProp = Mono.Unix.Catalog.GetString("Define Symbols:");
            this.hbox1.Add(this.label12);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.hbox1[this.label12]));
            w12.Position = 0;
            w12.Expand = false;
            w12.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.defineSymbolsTextEntry = new Gtk.Entry();
            Gtk.Tooltips w13 = new Gtk.Tooltips();
            w13.SetTip(this.defineSymbolsTextEntry, "A space seperated list of symbols to define.", "A space seperated list of symbols to define.");
            this.defineSymbolsTextEntry.CanFocus = true;
            this.defineSymbolsTextEntry.Name = "defineSymbolsTextEntry";
            this.defineSymbolsTextEntry.IsEditable = true;
            this.defineSymbolsTextEntry.InvisibleChar = '●';
            this.hbox1.Add(this.defineSymbolsTextEntry);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox1[this.defineSymbolsTextEntry]));
            w14.Position = 1;
            w14.Padding = ((uint)(14));
            this.vbox6.Add(this.hbox1);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox6[this.hbox1]));
            w15.Position = 1;
            w15.Expand = false;
            w15.Fill = false;
            // Container child vbox6.Gtk.Box+BoxChild
            this.frame2 = new Gtk.Frame();
            this.frame2.Name = "frame2";
            this.frame2.ShadowType = ((Gtk.ShadowType)(0));
            this.frame2.LabelYalign = 0F;
            // Container child frame2.Gtk.Container+ContainerChild
            this.GtkAlignment = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment.Name = "GtkAlignment";
            this.GtkAlignment.LeftPadding = ((uint)(12));
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            this.table5 = new Gtk.Table(((uint)(2)), ((uint)(2)), false);
            this.table5.Name = "table5";
            this.table5.RowSpacing = ((uint)(6));
            this.table5.ColumnSpacing = ((uint)(9));
            this.table5.BorderWidth = ((uint)(6));
            // Container child table5.Gtk.Table+TableChild
            this.label11 = new Gtk.Label();
            this.label11.Name = "label11";
            this.label11.Xalign = 0F;
            this.label11.LabelProp = Mono.Unix.Catalog.GetString("Extra Linker Options");
            this.table5.Add(this.label11);
            Gtk.Table.TableChild w16 = ((Gtk.Table.TableChild)(this.table5[this.label11]));
            w16.LeftAttach = ((uint)(1));
            w16.RightAttach = ((uint)(2));
            w16.XOptions = ((Gtk.AttachOptions)(4));
            w16.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table5.Gtk.Table+TableChild
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.label7.Xalign = 0F;
            this.label7.LabelProp = Mono.Unix.Catalog.GetString("Extra Compiler Options");
            this.table5.Add(this.label7);
            Gtk.Table.TableChild w17 = ((Gtk.Table.TableChild)(this.table5[this.label7]));
            w17.XOptions = ((Gtk.AttachOptions)(4));
            w17.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table5.Gtk.Table+TableChild
            this.scrolledwindow4 = new Gtk.ScrolledWindow();
            this.scrolledwindow4.CanFocus = true;
            this.scrolledwindow4.Name = "scrolledwindow4";
            this.scrolledwindow4.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow4.Gtk.Container+ContainerChild
            this.extraCompilerTextView = new Gtk.TextView();
            w13.SetTip(this.extraCompilerTextView, "A newline seperated list of extra options to send to the compiler.\nOne option can be in more than one line.\nExample:\n\t`pkg-config\n\t--cflags\n\tcairo`", "A newline seperated list of extra options to send to the compiler.\nOne option can be in more than one line.\nExample:\n\t`pkg-config\n\t--cflags\n\tcairo`");
            this.extraCompilerTextView.CanFocus = true;
            this.extraCompilerTextView.Name = "extraCompilerTextView";
            this.scrolledwindow4.Add(this.extraCompilerTextView);
            this.table5.Add(this.scrolledwindow4);
            Gtk.Table.TableChild w19 = ((Gtk.Table.TableChild)(this.table5[this.scrolledwindow4]));
            w19.TopAttach = ((uint)(1));
            w19.BottomAttach = ((uint)(2));
            // Container child table5.Gtk.Table+TableChild
            this.scrolledwindow5 = new Gtk.ScrolledWindow();
            this.scrolledwindow5.CanFocus = true;
            this.scrolledwindow5.Name = "scrolledwindow5";
            this.scrolledwindow5.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow5.Gtk.Container+ContainerChild
            this.extraLinkerTextView = new Gtk.TextView();
            w13.SetTip(this.extraLinkerTextView, "A newline seperated list of extra options to send to the linker.\nOne option can be in more than one line.\nExample:\n\t`pkg-config\n\t--libs\n\tcairo`", "A newline seperated list of extra options to send to the linker.\nOne option can be in more than one line.\nExample:\n\t`pkg-config\n\t--libs\n\tcairo`");
            this.extraLinkerTextView.CanFocus = true;
            this.extraLinkerTextView.Name = "extraLinkerTextView";
            this.scrolledwindow5.Add(this.extraLinkerTextView);
            this.table5.Add(this.scrolledwindow5);
            Gtk.Table.TableChild w21 = ((Gtk.Table.TableChild)(this.table5[this.scrolledwindow5]));
            w21.TopAttach = ((uint)(1));
            w21.BottomAttach = ((uint)(2));
            w21.LeftAttach = ((uint)(1));
            w21.RightAttach = ((uint)(2));
            w21.YOptions = ((Gtk.AttachOptions)(4));
            this.GtkAlignment.Add(this.table5);
            this.frame2.Add(this.GtkAlignment);
            this.GtkLabel12 = new Gtk.Label();
            this.GtkLabel12.Name = "GtkLabel12";
            this.GtkLabel12.LabelProp = Mono.Unix.Catalog.GetString("<b>Extra Options</b>");
            this.GtkLabel12.UseMarkup = true;
            this.frame2.LabelWidget = this.GtkLabel12;
            this.vbox6.Add(this.frame2);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.vbox6[this.frame2]));
            w24.Position = 2;
            this.notebook1.Add(this.vbox6);
            // Notebook tab
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Code Generation");
            this.notebook1.SetTabLabel(this.vbox6, this.label1);
            this.label1.ShowAll();
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.table2 = new Gtk.Table(((uint)(2)), ((uint)(3)), false);
            this.table2.Name = "table2";
            this.table2.RowSpacing = ((uint)(10));
            this.table2.ColumnSpacing = ((uint)(10));
            this.table2.BorderWidth = ((uint)(3));
            // Container child table2.Gtk.Table+TableChild
            this.addLibButton = new Gtk.Button();
            this.addLibButton.Sensitive = false;
            this.addLibButton.CanFocus = true;
            this.addLibButton.Name = "addLibButton";
            this.addLibButton.UseUnderline = true;
            this.addLibButton.Label = Mono.Unix.Catalog.GetString("Add");
            this.table2.Add(this.addLibButton);
            Gtk.Table.TableChild w26 = ((Gtk.Table.TableChild)(this.table2[this.addLibButton]));
            w26.LeftAttach = ((uint)(2));
            w26.RightAttach = ((uint)(3));
            w26.XOptions = ((Gtk.AttachOptions)(4));
            w26.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.label8 = new Gtk.Label();
            this.label8.Name = "label8";
            this.label8.LabelProp = Mono.Unix.Catalog.GetString("Library:");
            this.table2.Add(this.label8);
            Gtk.Table.TableChild w27 = ((Gtk.Table.TableChild)(this.table2[this.label8]));
            w27.XOptions = ((Gtk.AttachOptions)(4));
            w27.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.libAddEntry = new Gtk.Entry();
            this.libAddEntry.CanFocus = true;
            this.libAddEntry.Name = "libAddEntry";
            this.libAddEntry.IsEditable = true;
            this.libAddEntry.InvisibleChar = '●';
            this.table2.Add(this.libAddEntry);
            Gtk.Table.TableChild w28 = ((Gtk.Table.TableChild)(this.table2[this.libAddEntry]));
            w28.LeftAttach = ((uint)(1));
            w28.RightAttach = ((uint)(2));
            w28.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            this.libTreeView = new Gtk.TreeView();
            this.libTreeView.CanFocus = true;
            this.libTreeView.Name = "libTreeView";
            this.scrolledwindow1.Add(this.libTreeView);
            this.table2.Add(this.scrolledwindow1);
            Gtk.Table.TableChild w30 = ((Gtk.Table.TableChild)(this.table2[this.scrolledwindow1]));
            w30.TopAttach = ((uint)(1));
            w30.BottomAttach = ((uint)(2));
            w30.LeftAttach = ((uint)(1));
            w30.RightAttach = ((uint)(2));
            // Container child table2.Gtk.Table+TableChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 6;
            // Container child vbox4.Gtk.Box+BoxChild
            this.browseButton = new Gtk.Button();
            this.browseButton.CanFocus = true;
            this.browseButton.Name = "browseButton";
            this.browseButton.UseUnderline = true;
            this.browseButton.Label = Mono.Unix.Catalog.GetString("Browse...");
            this.vbox4.Add(this.browseButton);
            Gtk.Box.BoxChild w31 = ((Gtk.Box.BoxChild)(this.vbox4[this.browseButton]));
            w31.Position = 0;
            w31.Expand = false;
            w31.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.removeLibButton = new Gtk.Button();
            this.removeLibButton.Sensitive = false;
            this.removeLibButton.CanFocus = true;
            this.removeLibButton.Name = "removeLibButton";
            this.removeLibButton.UseUnderline = true;
            this.removeLibButton.Label = Mono.Unix.Catalog.GetString("Remove");
            this.vbox4.Add(this.removeLibButton);
            Gtk.Box.BoxChild w32 = ((Gtk.Box.BoxChild)(this.vbox4[this.removeLibButton]));
            w32.Position = 1;
            w32.Expand = false;
            w32.Fill = false;
            this.table2.Add(this.vbox4);
            Gtk.Table.TableChild w33 = ((Gtk.Table.TableChild)(this.table2[this.vbox4]));
            w33.TopAttach = ((uint)(1));
            w33.BottomAttach = ((uint)(2));
            w33.LeftAttach = ((uint)(2));
            w33.RightAttach = ((uint)(3));
            w33.XOptions = ((Gtk.AttachOptions)(4));
            this.notebook1.Add(this.table2);
            Gtk.Notebook.NotebookChild w34 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.table2]));
            w34.Position = 1;
            // Notebook tab
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Libraries");
            this.notebook1.SetTabLabel(this.table2, this.label2);
            this.label2.ShowAll();
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vbox7 = new Gtk.VBox();
            this.vbox7.Name = "vbox7";
            this.vbox7.Spacing = 6;
            this.vbox7.BorderWidth = ((uint)(3));
            // Container child vbox7.Gtk.Box+BoxChild
            this.table4 = new Gtk.Table(((uint)(2)), ((uint)(3)), false);
            this.table4.Name = "table4";
            this.table4.RowSpacing = ((uint)(10));
            this.table4.ColumnSpacing = ((uint)(10));
            // Container child table4.Gtk.Table+TableChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.libPathEntry = new Gtk.Entry();
            this.libPathEntry.CanFocus = true;
            this.libPathEntry.Name = "libPathEntry";
            this.libPathEntry.IsEditable = true;
            this.libPathEntry.InvisibleChar = '●';
            this.hbox2.Add(this.libPathEntry);
            Gtk.Box.BoxChild w35 = ((Gtk.Box.BoxChild)(this.hbox2[this.libPathEntry]));
            w35.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.quickInsertLibButton = new Gtk.Button();
            w13.SetTip(this.quickInsertLibButton, "Insert a macro.", "Insert a macro.");
            this.quickInsertLibButton.CanFocus = true;
            this.quickInsertLibButton.Name = "quickInsertLibButton";
            this.quickInsertLibButton.UseUnderline = true;
            this.quickInsertLibButton.Label = Mono.Unix.Catalog.GetString(">");
            this.hbox2.Add(this.quickInsertLibButton);
            Gtk.Box.BoxChild w36 = ((Gtk.Box.BoxChild)(this.hbox2[this.quickInsertLibButton]));
            w36.Position = 1;
            w36.Expand = false;
            w36.Fill = false;
            this.table4.Add(this.hbox2);
            Gtk.Table.TableChild w37 = ((Gtk.Table.TableChild)(this.table4[this.hbox2]));
            w37.LeftAttach = ((uint)(1));
            w37.RightAttach = ((uint)(2));
            w37.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.label10 = new Gtk.Label();
            this.label10.Name = "label10";
            this.label10.LabelProp = Mono.Unix.Catalog.GetString("Library:");
            this.table4.Add(this.label10);
            Gtk.Table.TableChild w38 = ((Gtk.Table.TableChild)(this.table4[this.label10]));
            w38.XOptions = ((Gtk.AttachOptions)(4));
            w38.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.libPathAddButton = new Gtk.Button();
            this.libPathAddButton.Sensitive = false;
            this.libPathAddButton.CanFocus = true;
            this.libPathAddButton.Name = "libPathAddButton";
            this.libPathAddButton.UseUnderline = true;
            this.libPathAddButton.Label = Mono.Unix.Catalog.GetString("Add");
            this.table4.Add(this.libPathAddButton);
            Gtk.Table.TableChild w39 = ((Gtk.Table.TableChild)(this.table4[this.libPathAddButton]));
            w39.LeftAttach = ((uint)(2));
            w39.RightAttach = ((uint)(3));
            w39.XOptions = ((Gtk.AttachOptions)(4));
            w39.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table4.Gtk.Table+TableChild
            this.scrolledwindow3 = new Gtk.ScrolledWindow();
            this.scrolledwindow3.CanFocus = true;
            this.scrolledwindow3.Name = "scrolledwindow3";
            this.scrolledwindow3.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow3.Gtk.Container+ContainerChild
            this.libPathTreeView = new Gtk.TreeView();
            this.libPathTreeView.CanFocus = true;
            this.libPathTreeView.Name = "libPathTreeView";
            this.scrolledwindow3.Add(this.libPathTreeView);
            this.table4.Add(this.scrolledwindow3);
            Gtk.Table.TableChild w41 = ((Gtk.Table.TableChild)(this.table4[this.scrolledwindow3]));
            w41.TopAttach = ((uint)(1));
            w41.BottomAttach = ((uint)(2));
            w41.LeftAttach = ((uint)(1));
            w41.RightAttach = ((uint)(2));
            // Container child table4.Gtk.Table+TableChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.libPathBrowseButton = new Gtk.Button();
            this.libPathBrowseButton.CanFocus = true;
            this.libPathBrowseButton.Name = "libPathBrowseButton";
            this.libPathBrowseButton.UseUnderline = true;
            this.libPathBrowseButton.Label = Mono.Unix.Catalog.GetString("Browse...");
            this.vbox3.Add(this.libPathBrowseButton);
            Gtk.Box.BoxChild w42 = ((Gtk.Box.BoxChild)(this.vbox3[this.libPathBrowseButton]));
            w42.Position = 0;
            w42.Expand = false;
            w42.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.libPathRemoveButton = new Gtk.Button();
            this.libPathRemoveButton.Sensitive = false;
            this.libPathRemoveButton.CanFocus = true;
            this.libPathRemoveButton.Name = "libPathRemoveButton";
            this.libPathRemoveButton.UseUnderline = true;
            this.libPathRemoveButton.Label = Mono.Unix.Catalog.GetString("Remove");
            this.vbox3.Add(this.libPathRemoveButton);
            Gtk.Box.BoxChild w43 = ((Gtk.Box.BoxChild)(this.vbox3[this.libPathRemoveButton]));
            w43.Position = 1;
            w43.Expand = false;
            w43.Fill = false;
            this.table4.Add(this.vbox3);
            Gtk.Table.TableChild w44 = ((Gtk.Table.TableChild)(this.table4[this.vbox3]));
            w44.TopAttach = ((uint)(1));
            w44.BottomAttach = ((uint)(2));
            w44.LeftAttach = ((uint)(2));
            w44.RightAttach = ((uint)(3));
            w44.XOptions = ((Gtk.AttachOptions)(4));
            this.vbox7.Add(this.table4);
            Gtk.Box.BoxChild w45 = ((Gtk.Box.BoxChild)(this.vbox7[this.table4]));
            w45.Position = 0;
            // Container child vbox7.Gtk.Box+BoxChild
            this.table3 = new Gtk.Table(((uint)(2)), ((uint)(3)), false);
            this.table3.Name = "table3";
            this.table3.RowSpacing = ((uint)(10));
            this.table3.ColumnSpacing = ((uint)(10));
            // Container child table3.Gtk.Table+TableChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.includePathEntry = new Gtk.Entry();
            this.includePathEntry.CanFocus = true;
            this.includePathEntry.Name = "includePathEntry";
            this.includePathEntry.IsEditable = true;
            this.includePathEntry.InvisibleChar = '●';
            this.hbox3.Add(this.includePathEntry);
            Gtk.Box.BoxChild w46 = ((Gtk.Box.BoxChild)(this.hbox3[this.includePathEntry]));
            w46.Position = 0;
            // Container child hbox3.Gtk.Box+BoxChild
            this.quickInsertIncludeButton = new Gtk.Button();
            w13.SetTip(this.quickInsertIncludeButton, "Insert a macro.", "Insert a macro.");
            this.quickInsertIncludeButton.CanFocus = true;
            this.quickInsertIncludeButton.Name = "quickInsertIncludeButton";
            this.quickInsertIncludeButton.UseUnderline = true;
            this.quickInsertIncludeButton.Label = Mono.Unix.Catalog.GetString(">");
            this.hbox3.Add(this.quickInsertIncludeButton);
            Gtk.Box.BoxChild w47 = ((Gtk.Box.BoxChild)(this.hbox3[this.quickInsertIncludeButton]));
            w47.Position = 1;
            w47.Expand = false;
            w47.Fill = false;
            this.table3.Add(this.hbox3);
            Gtk.Table.TableChild w48 = ((Gtk.Table.TableChild)(this.table3[this.hbox3]));
            w48.LeftAttach = ((uint)(1));
            w48.RightAttach = ((uint)(2));
            w48.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.includePathAddButton = new Gtk.Button();
            this.includePathAddButton.Sensitive = false;
            this.includePathAddButton.CanFocus = true;
            this.includePathAddButton.Name = "includePathAddButton";
            this.includePathAddButton.UseUnderline = true;
            this.includePathAddButton.Label = Mono.Unix.Catalog.GetString("Add");
            this.table3.Add(this.includePathAddButton);
            Gtk.Table.TableChild w49 = ((Gtk.Table.TableChild)(this.table3[this.includePathAddButton]));
            w49.LeftAttach = ((uint)(2));
            w49.RightAttach = ((uint)(3));
            w49.XOptions = ((Gtk.AttachOptions)(4));
            w49.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.label9 = new Gtk.Label();
            this.label9.Name = "label9";
            this.label9.LabelProp = Mono.Unix.Catalog.GetString("Include:");
            this.table3.Add(this.label9);
            Gtk.Table.TableChild w50 = ((Gtk.Table.TableChild)(this.table3[this.label9]));
            w50.XOptions = ((Gtk.AttachOptions)(4));
            w50.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.scrolledwindow2 = new Gtk.ScrolledWindow();
            this.scrolledwindow2.CanFocus = true;
            this.scrolledwindow2.Name = "scrolledwindow2";
            this.scrolledwindow2.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow2.Gtk.Container+ContainerChild
            this.includePathTreeView = new Gtk.TreeView();
            this.includePathTreeView.CanFocus = true;
            this.includePathTreeView.Name = "includePathTreeView";
            this.scrolledwindow2.Add(this.includePathTreeView);
            this.table3.Add(this.scrolledwindow2);
            Gtk.Table.TableChild w52 = ((Gtk.Table.TableChild)(this.table3[this.scrolledwindow2]));
            w52.TopAttach = ((uint)(1));
            w52.BottomAttach = ((uint)(2));
            w52.LeftAttach = ((uint)(1));
            w52.RightAttach = ((uint)(2));
            // Container child table3.Gtk.Table+TableChild
            this.vbox5 = new Gtk.VBox();
            this.vbox5.Name = "vbox5";
            this.vbox5.Spacing = 6;
            // Container child vbox5.Gtk.Box+BoxChild
            this.includePathBrowseButton = new Gtk.Button();
            this.includePathBrowseButton.CanFocus = true;
            this.includePathBrowseButton.Name = "includePathBrowseButton";
            this.includePathBrowseButton.UseUnderline = true;
            this.includePathBrowseButton.Label = Mono.Unix.Catalog.GetString("Browse...");
            this.vbox5.Add(this.includePathBrowseButton);
            Gtk.Box.BoxChild w53 = ((Gtk.Box.BoxChild)(this.vbox5[this.includePathBrowseButton]));
            w53.Position = 0;
            w53.Expand = false;
            w53.Fill = false;
            // Container child vbox5.Gtk.Box+BoxChild
            this.includePathRemoveButton = new Gtk.Button();
            this.includePathRemoveButton.Sensitive = false;
            this.includePathRemoveButton.CanFocus = true;
            this.includePathRemoveButton.Name = "includePathRemoveButton";
            this.includePathRemoveButton.UseUnderline = true;
            this.includePathRemoveButton.Label = Mono.Unix.Catalog.GetString("Remove");
            this.vbox5.Add(this.includePathRemoveButton);
            Gtk.Box.BoxChild w54 = ((Gtk.Box.BoxChild)(this.vbox5[this.includePathRemoveButton]));
            w54.Position = 1;
            w54.Expand = false;
            w54.Fill = false;
            this.table3.Add(this.vbox5);
            Gtk.Table.TableChild w55 = ((Gtk.Table.TableChild)(this.table3[this.vbox5]));
            w55.TopAttach = ((uint)(1));
            w55.BottomAttach = ((uint)(2));
            w55.LeftAttach = ((uint)(2));
            w55.RightAttach = ((uint)(3));
            w55.XOptions = ((Gtk.AttachOptions)(4));
            this.vbox7.Add(this.table3);
            Gtk.Box.BoxChild w56 = ((Gtk.Box.BoxChild)(this.vbox7[this.table3]));
            w56.Position = 1;
            this.notebook1.Add(this.vbox7);
            Gtk.Notebook.NotebookChild w57 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.vbox7]));
            w57.Position = 2;
            // Notebook tab
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("Paths");
            this.notebook1.SetTabLabel(this.vbox7, this.label3);
            this.label3.ShowAll();
            this.Add(this.notebook1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.browseButton.Clicked += new System.EventHandler(this.OnBrowseButtonClick);
            this.removeLibButton.Clicked += new System.EventHandler(this.OnRemoveLibButtonClicked);
            this.removeLibButton.Clicked += new System.EventHandler(this.OnLibRemoved);
            this.libTreeView.CursorChanged += new System.EventHandler(this.OnLibTreeViewCursorChanged);
            this.libAddEntry.Changed += new System.EventHandler(this.OnLibAddEntryChanged);
            this.libAddEntry.Activated += new System.EventHandler(this.OnLibAddEntryActivated);
            this.addLibButton.Clicked += new System.EventHandler(this.OnLibAdded);
            this.libPathBrowseButton.Clicked += new System.EventHandler(this.OnLibPathBrowseButtonClick);
            this.libPathRemoveButton.Clicked += new System.EventHandler(this.OnLibPathRemoveButtonClicked);
            this.libPathRemoveButton.Clicked += new System.EventHandler(this.OnLibPathRemoved);
            this.libPathTreeView.CursorChanged += new System.EventHandler(this.OnLibPathTreeViewCursorChanged);
            this.libPathAddButton.Clicked += new System.EventHandler(this.OnLibPathAdded);
            this.libPathEntry.Changed += new System.EventHandler(this.OnLibPathEntryChanged);
            this.libPathEntry.Activated += new System.EventHandler(this.OnLibPathEntryActivated);
            this.includePathBrowseButton.Clicked += new System.EventHandler(this.OnIncludePathBrowseButtonClick);
            this.includePathRemoveButton.Clicked += new System.EventHandler(this.OnIncludePathRemoveButtonClicked);
            this.includePathRemoveButton.Clicked += new System.EventHandler(this.OnIncludePathRemoved);
            this.includePathTreeView.CursorChanged += new System.EventHandler(this.OnIncludePathTreeViewCursorChanged);
            this.includePathAddButton.Clicked += new System.EventHandler(this.OnIncludePathAdded);
            this.includePathEntry.Changed += new System.EventHandler(this.OnIncludePathEntryChanged);
            this.includePathEntry.Activated += new System.EventHandler(this.OnIncludePathEntryActivated);
        }
    }
}
